﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace CircleAdornerTest
{
    public class CircleAdorner : Adorner
    {
        #region Constructor
        // Be sure to call the base class constructor.
        public CircleAdorner(FrameworkElement adornedElement)
            : base(adornedElement)
        {

        }

        // A common way to implement an adorner's rendering behavior is to override the OnRender
        // method, which is called by the layout system as part of a rendering pass.
        protected override void OnRender(DrawingContext drawingContext)
        {
            Rect adornedElementRect = new Rect(this.AdornedElement.DesiredSize);
            // Some arbitrary drawing implements.
            SolidColorBrush renderBrush = new SolidColorBrush(Colors.Green);
            renderBrush.Opacity = 0.2;
            Pen renderPen = new Pen(new SolidColorBrush(Colors.Navy), 1.5);

            drawingContext.DrawEllipse(renderBrush, renderPen, adornedElementRect.BottomRight, 20, 20);
        }
        #endregion  // Constructor
    }
}
